﻿Imports MediaCy.IQL.Application

Public Class Addin
    Implements Extensibility.IDTExtensibility2
    Implements IRibbonExtensibility

    ''' <summary>
    ''' Receives application events.
    ''' </summary>
    ''' <remarks></remarks>
    Private WithEvents _application As McApplication

#Region "IDTExtensibility2 Implementation"
    Public Sub OnAddInsUpdate(ByRef custom As System.Array) Implements Extensibility.IDTExtensibility2.OnAddInsUpdate
    End Sub

    Public Sub OnBeginShutdown(ByRef custom As System.Array) Implements Extensibility.IDTExtensibility2.OnBeginShutdown
    End Sub

    Public Sub OnConnection(Application As Object, ConnectMode As Extensibility.ext_ConnectMode, AddInInst As Object, ByRef custom As System.Array) Implements Extensibility.IDTExtensibility2.OnConnection
        _application = Application
    End Sub

    Public Sub OnDisconnection(RemoveMode As Extensibility.ext_DisconnectMode, ByRef custom As System.Array) Implements Extensibility.IDTExtensibility2.OnDisconnection
        _application = Nothing
    End Sub

    Public Sub OnStartupComplete(ByRef custom As System.Array) Implements Extensibility.IDTExtensibility2.OnStartupComplete
    End Sub
#End Region

#Region "IRibbonExtensibility Implementation"
    Public Function GetCustomUI(RibbonID As String) As String Implements MediaCy.IQL.Application.IRibbonExtensibility.GetCustomUI
        Return My.Resources.$safeprojectname$
    End Function
#End Region

    ''' <summary>
    ''' Handles application initialization at the end of startup.
    ''' </summary>
    ''' <param name="Starting"></param>
    ''' <remarks></remarks>
    Private Sub _application_AfterInitialize(Starting As Boolean) Handles _application.AfterInitialize

    End Sub

    ''' <summary>
    ''' Handles shutdown to save modified data.
    ''' </summary>
    ''' <param name="Cancel"></param>
    ''' <remarks></remarks>
    Private Sub _application_BeforeShutdown(ByRef Cancel As Boolean) Handles _application.BeforeShutdown

    End Sub

    ''' <summary>
    ''' Handles document activation in the application.
    ''' </summary>
    ''' <param name="Flags"></param>
    ''' <remarks></remarks>
    Private Sub _application_SelectedDataChanged(Flags As MediaCy.IQL.Application.IMcData.DataTypes) Handles _application.SelectedDataChanged

    End Sub
End Class
