﻿Imports MediaCy.IQL.Application
Imports MediaCy.Commands

Public Class SamplePanel

    ''' <summary>
    ''' Receives application events.
    ''' </summary>
    ''' <remarks></remarks>
    Private WithEvents _application As McApplication

    ''' <summary>
    ''' Handles initialization after the panel is created.
    ''' </summary>
    ''' <remarks></remarks>
    Private Sub SamplePanel_Load(sender As Object, e As EventArgs) Handles Me.Load
        _application = McApplication.ThisApplication
        _application_SelectedDataChanged(IMcData.DataTypes.Image)
    End Sub

    ''' <summary>
    ''' Handles document activation in the application.
    ''' </summary>
    ''' <param name="Flags"></param>
    ''' <remarks></remarks>
    Private Sub _application_SelectedDataChanged(Flags As MediaCy.IQL.Application.IMcData.DataTypes) Handles _application.SelectedDataChanged
        ' Sample code to display active document
        If _application.ActiveDocument Is Nothing Then
            Me.Label1.Text = "Active Document is Nothing"
        Else
            Me.Label1.Text = "Active Document is " & _application.ActiveDocument.DisplayName
        End If
    End Sub

End Class
